> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claim.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Order



## OpenAPI

````yaml POST /v2/orders
openapi: 3.0.1
info:
  title: Seven Senders API
  description: Shipment API for Seven Senders Network
  version: 2.31.0
servers:
  - url: /
security:
  - Bearer: []
paths:
  /v2/orders:
    post:
      tags:
        - Order
      summary: Creates a Order resource.
      operationId: postOrderCollection
      requestBody:
        description: The new Order resource
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Order-create'
          application/ld+json:
            schema:
              $ref: '#/components/schemas/Order-create'
          text/html:
            schema:
              $ref: '#/components/schemas/Order-create'
        required: false
      responses:
        '201':
          description: Order resource created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Order-read'
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Order-read'
            text/html:
              schema:
                $ref: '#/components/schemas/Order-read'
        '400':
          description: Invalid input
          content: {}
        '404':
          description: Resource not found
          content: {}
components:
  schemas:
    Order-create:
      required:
        - order_id
      type: object
      properties:
        order_id:
          type: string
          description: The unique shop order ID. Used as ID for the resource
        order_url:
          type: string
          description: The shop URL (a domain from which the order was created.)
        order_date:
          type: string
          format: date-time
        boarding_complete:
          type: boolean
          description: A flag shows whether all order shipments are created
        language:
          type: string
        order_tags:
          type: array
          example:
            tag1: value1
            tag2: value2
          items:
            type: string
        promised_delivery_date:
          type: string
          format: date-time
      description: Class Order
    Order-read:
      required:
        - order_id
      type: object
      properties:
        order_id:
          type: string
          description: The unique shop order ID. Used as ID for the resource
        order_url:
          type: string
          description: The shop URL (a domain from which the order was created.)
        order_date:
          type: string
          format: date-time
        boarding_complete:
          type: boolean
          description: A flag shows whether all order shipments are created
        state:
          type: string
          example: new
        language:
          type: string
        states_history:
          type: array
          example:
            - order_id: '12345654'
              state: new
              datetime: '2018-08-02T09:24:02.142Z'
              location: Berlin
          items:
            type: string
        order_tags:
          type: array
          example:
            tag1: value1
            tag2: value2
          items:
            type: string
        promised_delivery_date:
          type: string
          format: date-time
        tracking_page_url:
          type: string
      description: Class Order
  securitySchemes:
    Bearer:
      type: apiKey
      description: "We use JWT Tokens for the authorization. \r\nPlease add an \\'Authorization\\' header for a request. Generate a valid JWT token using user credentials. See Auth - Token section. \r\nThe value should contain the following:  \r\n \\'Bearer GENERATED_TOKEN\\'"
      name: Authorization
      in: header

````